Update Process
Update a process
Update a process.
Request
URI
PATCH
https://api.example.local/v3/processes/{guid}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Request Body
Process object that needs to be updated
ProcessUpdateRequestBody
of type(s)
application/json
Optional
{
"command": "string",
"health_check": {
"type": "string",
"data": {
"timeout": 0,
"invocation_timeout": 0,
"interval": 0,
"endpoint": "string"
}
},
"readiness_health_check": {
"type": "string",
"data": {
"timeout": 0,
"invocation_timeout": 0,
"interval": 0,
"endpoint": "string"
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
}
}
Responses
200
OK
Returns
Process
of type(s)
application/json
This response body class contains all of the following:
BaseSchema
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"version": "string",
"type": "string",
"command": "string",
"user": "string",
"instances": 0,
"memory_in_mb": 0,
"disk_in_mb": 0,
"log_rate_limit_in_bytes_per_second": 0,
"registry_credential_last_synced_at": "string",
"health_check": {
"type": "string",
"data": {
"timeout": 0,
"invocation_timeout": 0,
"interval": 0,
"endpoint": "string"
}
},
"readiness_health_check": {
"type": "string",
"data": {
"timeout": 0,
"invocation_timeout": 0,
"interval": 0,
"endpoint": "string"
}
},
"relationships": {
"app": {
"data": {
"guid": "string"
}
},
"revision": {
"data": {
"guid": "string"
}
},
"registry_credential": {
"data": {
"guid": "string"
}
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"scale": {
"href": "string",
"method": "string"
},
"app": {
"href": "string",
"method": "string"
},
"space": {
"href": "string",
"method": "string"
},
"stats": {
"href": "string",
"method": "string"
},
"registry_credential": {
"href": "string",
"method": "string"
}
}
}
400
Bad Request
Returns
BadRequest
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
409
Conflict
Returns
Conflict
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
500
Internal Server Error
Returns
500
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
503
Service Unavailable
Returns
ServiceUnavailable
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'
On This Page
Processes Operations
GET
List Processes
GET
Get Process
PATCH
Update Process
GET
Get Process Stats
POST
Scale Process
DELETE
Terminate Process Instance
GET
List App Processes
GET
Get Process For App
PATCH
Update Process For App
GET
Get Process Stats For App
POST
Scale Process For App
DELETE
Terminate Process Instance For App